This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 117681 - Why up2date can't be quiet when there is nothing to say?
Why up2date can't be quiet when there is nothing to say?
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-06 21:47 EST by Petri T. Koistinen
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-22 16:22:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petri T. Koistinen 2004-03-06 21:47:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040122 Debian/1.6-1

Description of problem:
I want to keep my system up to date. I use script like this:

$ cat /etc/cron.daily/up2date.sh
#!/bin/sh
 
up2date --nox -u | egrep -v '^($|Fetching|Name|---|All)'

Why up2date don't have --non-verbose option that will supress all
output when there is nothing to say, i.e. no updates.

Version-Release number of selected component (if applicable):
up2date-4.3.11-2.1

How reproducible:
Always

Steps to Reproduce:
1. up2date -u daily
2. if no update is available you will only see useless noise

Additional info:
Comment 1 Petri T. Koistinen 2004-03-22 15:48:50 EST
Oh, you don't bother even to leave a comment why you closed this
enchancement request. I find that quite arrogant, but what else you
can expect from somebody living in USA.
Comment 2 Adrian Likins 2004-03-22 16:10:45 EST
I'm not going to fix it.
Comment 3 Petri T. Koistinen 2004-03-22 16:15:32 EST
I am sorry, that's little bit too harsh comment. I did try to say:
"Please, don't ignore me.", but that's too late now, I guess.
Comment 4 Petri T. Koistinen 2004-03-22 16:17:14 EST
Thanks for comment. It is OK to say that don't want to fix it. Fine.
I'll just my script.

Note You need to log in before you can comment on or make changes to this bug.